python3.14 (3.14.0-1ubuntu0.3) questing-security; urgency=medium

  * SECURITY REGRESSION: Revert patch for CVE-2025-15366
    - debian/patches/CVE-2025-15366.patch: Reverted. Patch breaks RFC
      9051 IMAP conformance and introduces behavior regressions avoided
      by upstream.
    - CVE-2025-15366
  * SECURITY REGRESSION: Revert patch for CVE-2025-15367
    - debian/patches/CVE-2025-15367.patch: Reverted to prevent behavior
      regressions, aligning with upstream backporting decisions.
    - CVE-2025-15367
  * SECURITY REGRESSION: Allow HTAB in wsgiref header values
    - debian/patches/CVE-2026-0865-2.patch: Permit HTAB in header values
      (excluding names) in Lib/wsgiref/headers.py, add test coverage.
    - CVE-2026-0865 

 -- Vyom Yadav <vyom.yadav@canonical.com>  Tue, 03 Mar 2026 18:06:02 +0530

python3.14 (3.14.0-1ubuntu0.2) questing-security; urgency=medium

  * SECURITY UPDATE: Header injection in email messages where addresses are not
    sanitized.
    - debian/patches/CVE-2025-11468.patch: Add escape parentheses and backslash
      in Lib/email/_header_value_parser.py. Add test in
      Lib/test/test_email/test__header_value_parser.py.
    - CVE-2025-11468
  * SECURITY UPDATE: Quadratic algorithm when building excessively nested XML
    documents.
    - debian/patches/CVE-2025-12084-*.patch: Remove _in_document and replace
      with node.ownerDocument in Lib/xml/dom/minidom.py. Set self.ownerDocument
      to None in Lib/xml/dom/minidom.py. Add test in Lib/test/test_minidom.py.
    - CVE-2025-12084
  * SECURITY UPDATE: OOM and denial of service when opening malicious plist
    file.
    - debian/patches/CVE-2025-13837.patch: Add _MIN_READ_BUF_SIZE and _read
      with checks in Lib/plistlib.py. Add test in Lib/test/test_plistlib.py.
    - CVE-2025-13837
  * SECURITY UPDATE: Header injection in user controlled data URLs in urllib.
    - debian/patches/CVE-2025-15282.patch: Add control character checks in
      Lib/urllib/request.py. Add test in Lib/test/test_urllib.py.
  * SECURITY UPDATE: Command injection through user controlled commands in
    imaplib.
    - debian/patches/CVE-2025-15366.patch: Add _control_chars and checks in
      Lib/imaplib.py. Add test in Lib/test/test_imaplib.py.
  * SECURITY UPDATE: Command injection through user controlled commands in
    poplib.
    - debian/patches/CVE-2025-15367.patch: Add control character regex check
      in Lib/poplib.py. Add test in Lib/test/test_poplib.py.
    - CVE-2025-15367
  * SECURITY UPDATE: HTTP header injection in user controlled cookie values.
    - debian/patches/CVE-2026-0672.patch: Add _control_characters_re and
      checks in Lib/http/cookies.py. Add test in Lib/test/test_http_cookies.py.
    - CVE-2026-0672
  * SECURITY UPDATE: HTTP header injection in user controlled headers and
    values with newlines.
    - debian/patches/CVE-2026-0865.patch: Add _control_chars_re and check in
      Lib/wsgiref/headers.py. Add test in Lib/test/support/__init__.py and
      Lib/test/test_wsgiref.py.
    - CVE-2026-0865

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 22 Jan 2026 16:10:43 -0330

python3.14 (3.14.0-1ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: HTTP Content-Length denial of service
    - debian/patches/CVE-2025-13836.patch: Read large data in chunks with
      geometric reads in Lib/http/client.py and add tests in 
      Lib/test/test_httplib.py
    - CVE-2025-13836

 -- Vyom Yadav <vyom.yadav@canonical.com>  Thu, 08 Jan 2026 19:50:58 +0530

python3.14 (3.14.0-1) unstable; urgency=medium

  * Python 3.14.0 final.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 07 Oct 2025 16:35:05 +0200

python3.14 (3.14.0~rc3-1) unstable; urgency=medium

  * Python 3.14.0 release candidate 3.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Sep 2025 14:47:19 +0200

python3.14 (3.14.0~rc2-1) experimental; urgency=medium

  * Python 3.14.0 release candidate 2.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 21 Aug 2025 15:42:53 +0200

python3.14 (3.14.0~rc1-1) experimental; urgency=medium

  * Python 3.14.0 release candidate 1.
  * Refresh patches.
  * Add symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Jul 2025 13:16:56 +0200

python3.14 (3.14.0~b4-1) experimental; urgency=medium

  * Python 3.14.0 beta 4.
  * Enable deterministic LTO output (Closes: #1105119)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Jul 2025 19:29:09 +0200

python3.14 (3.14.0~b3-1) experimental; urgency=medium

  * Python 3.14.0 beta 3.
  * Refresh patches.
  * Extend gchead-alignment.diff to cover PyObject too. (Closes: #1105110)
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 Jun 2025 16:03:32 +0200

python3.14 (3.14.0~b2-1) experimental; urgency=medium

  * Python 3.14.0 beta 2.
    - Fixes CVE-2025-4516.
  * Replace m68k-alignment-fix.diff with a patch that reserves 2 bits for
    flags. (Closes: #1105110)
  * Refresh patches.
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 May 2025 00:27:57 +0200

python3.14 (3.14.0~b1-1) experimental; urgency=medium

  * Python 3.14.0 beta 1.
  * Bump watch file for python 3.14.
  * Drop PGP verification from watch file, upstream no longer PGP-signs
    releases (PEP-761), add a debian/rules target to perform sigstore
    verification.
  * Refresh patches.
  * Replace man-page-fixes.diff with the remaining outstanding upstream PR.
  * Drop patches no-wheel-whl.diff and shutil-which.patch, superseded
    upstream.
  * Build-Depend on libzstd-dev.
  * Add to python3.14-minimal: compression, _contextvars, _py_warnings, and
    _zstd.
  * Patch: Degrade traceback module gracefully without codeop in
    python3.14-minimal.
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 May 2025 09:10:24 -0400

python3.14 (3.14.0~a7-1) experimental; urgency=medium

  * Python 3.14.0 alpha7.
  * Add to python-minimal: _ast_unparse, annotationlib.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 15:56:09 +0200

python3.13 (3.13.3-3) UNRELEASED; urgency=medium

  * Update control.in for the changes in 3.13.3-2.
  * Replace no-wheel-whl.diff with upstream version.
  * Patch: Use shutil.which() in missing_compiler_executable().

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Apr 2025 17:11:46 -0400

python3.13 (3.13.3-2) unstable; urgency=medium

  * Drop depends and test depends on python3-wheel-whl, setuptools has native
    bdist_wheel support.
  * Patch: Avoid needing python3-wheel-whl for the testsuite.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Apr 2025 17:38:51 -0400

python3.13 (3.13.3-1) unstable; urgency=medium

  * Python 3.13.3.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Apr 2025 15:55:40 -0400

python3.13 (3.13.2-3) unstable; urgency=medium

  * Update to the 3.13 branch 2025-03-29.
  * Editorial changes for the python man page (Bjarni Ingi Gislason).
    Closes: #1101406.
  * Update the min-tempfile patch for 3.13. Closes: #1098680.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Mar 2025 11:04:43 +0100

python3.13 (3.13.2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Replace update-manpage.patch with the version that landed upstream.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-03-13.
  * Generalize os testing in debian/rules (Samuel Thibault). Closes: #1095262.
  * Update sphinx build modules, still build with sphinx 8.1.x.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Mar 2025 15:29:07 +0100

python3.13 (3.13.2-1) unstable; urgency=medium

  * Python 3.13.2.
  * Refresh patches.
  * Raise a more helpful ImportError in the turtle module. LP: #2093393.
  * Replace locale-module.patch with something to the change that landed
    upstream, and just missed 3.13.2.
  * Patch: update manpage, it has been neglected for a few releases.
    Closes: #1095052
  * Update symbols.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Feb 2025 21:23:35 -0400

python3.13 (3.13.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop patch sysconfigdata-name.diff, upstream rejected it and we no longer
    need it.
  * Add compatibility symlink for old sysconfigdata name.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2025-01-03.
    - Fix issue #128030. Closes: #1090267.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Jan 2025 11:26:34 +0100

python3.13 (3.13.1-2) unstable; urgency=medium

  * Update to the 3.13 branch 2024-12-12.
    - Fix issue #127655, CVE-2024-12254.
  * Add support for OpenSSL 3.4, issue #127330.
  * Mark test_structseq as failing on Ubuntu/armhf.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Dec 2024 11:12:28 +0100

python3.13 (3.13.1-1) unstable; urgency=medium

  * Python 3.13.1.

  [ Matthias Klose ]
  * Apply temporary fix to fix build issue on m68k. Closes: #1087600.
  * Don't use -fno-inline-small-functions on hppa (Dave Anglin).
  * Build with -Os on sh4 (Adrian Glaubitz).
  * Stop using EXTRA_CFLAGS. Closes: #1087923.
  * Bump standards version.

  [ Stefano Rivera ]
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2024 10:39:10 +0100

python3.13 (3.13.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Adjust lib-argparse.diff to avoid failing test_argparse's translation
    test.

  [ Matthias Klose ]
  * Update to the 3.13 branch 2024-11-12.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 10:54:22 +0100

python3.13 (3.13.0-1) unstable; urgency=medium

  * Python 3.13.0 final.
  * Add DEP-12 metadata.
  * Update symbols file.
  * Patch: Allow stable API extensions to include a multiarch tuple in the
    filename.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 07 Oct 2024 14:58:50 -0700

python3.13 (3.13.0~rc3-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 3.
  * Refresh patches.
  * Remove debian/locale-gen, we use locales-all. (Closes: #1076778)
  * Re-enable build-time tests. (Closes: #1076779)
    - Build-Depend on xvfb and xauth again.
    - Build-Depend on python3-{pip,setuptools,wheel}-whl for tests.
  * Verify upstream PGP signature.
  * Patch: Strip absolute --libdir paths from configure args in test_freeze.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 Oct 2024 09:12:35 -0600

python3.13 (3.13.0~rc2-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 2.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 Sep 2024 10:52:38 +0200

python3.13 (3.13.0~rc1-4) unstable; urgency=medium

  * python3.x-tk: Make byte-compilation depend on the availability of
    the interpreter.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 15:07:31 +0200

python3.13 (3.13.0~rc1-3) unstable; urgency=medium

  * Add python3.x-tk maintainer scripts.
  * Call dpkg with LC_ALL=C.UTF8 set.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Aug 2024 09:53:05 +0200

python3.13 (3.13.0~rc1-2) experimental; urgency=medium

  [ Stefano Rivera ]
  * Drop patch ctypes-arm. Superseded upstream in 2.7.5.
  * Drop patch fix-py_compile. Superseded upstream in 3.11.
  * Drop patch sphinx3, superseded upstream in 3.10.
  * Expand on patch comments.
  * Forward some patches.
  * Update pydoc-use-pager patch.

  [ Matthias Klose ]
  * Build python3.13-gdbm and python3.13-tk packages again; Having these
    extensions hidden in the libpython-stdlib packages raises some chrootkit
    warnings. These packages should not be used as dependencies, and do not
    depend on the Python interpreter.  For dependencies, the existing
    python3-gdbm and python3-tk packages should be used.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2024 11:23:04 +0200

python3.13 (3.13.0~rc1-1) unstable; urgency=medium

  * Python 3.13.0 release candidate 1.
  * Don't pass -specs=package-metadata.specs.
  * Don't mention 2to3 in package description anymore. Closes: #1077957.
  * Prefix patches for python3-minimal with 'min-'.
  * libpython-stdlib: Include the _gdbm and _tkinter extensions, prefixed
    with a dot, and no dependencies on the gbm and tcl/tk libraries.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Aug 2024 08:03:09 +0200

python3.13 (3.13.0~b4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream beta.
  * Drop patches superseded upstream: riscv64-no-perf-trampoline,
    skip-unallocated-arena-free.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 19 Jul 2024 10:12:48 +0900

python3.13 (3.13.0~b3-6) unstable; urgency=medium

  * Don't consider fixing interpreters in .so files, fixing a FTBFS on s390x.
  * Instead of exporting ELF_PACKAGE_METADATA, which isn't consumed directly,
    export the environment variables required by the metadata spec file.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Jul 2024 11:00:47 +0900

python3.13 (3.13.0~b3-5) unstable; urgency=medium

  [ Matthias Klose ]
  * Set ELF_PACKAGE_METADATA, if unset.
  * Fix multiarch path for hurd-amd64. Addresses: #1076321.

  [ Benjamin Drung ]
  * debian/rules: Use pkg-info.mk
  * debian/rules: Use architecture.mk
  * Rely on SOURCE_DATE_EPOCH for reproducibility

  [ Graham Inggs ]
  * Skip test_exceptions and test_repl which never run to
    completion on the Ubuntu autopkgtest infrastructure

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jul 2024 12:23:29 +0200

python3.13 (3.13.0~b3-3) unstable; urgency=medium

  * Remove distutils references, it was removed in 3.12.
  * Remove pysetup3(1), it was removed in 3.2.
  * Patch: Avoid munmap() of the zero page when freeing unallocated arenas.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Jul 2024 01:33:11 +0200

python3.13 (3.13.0~b3-2) unstable; urgency=medium

  * Patch: Disable perf_trampoline or riscv64, for now.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 17:05:54 +0200

python3.13 (3.13.0~b3-1) unstable; urgency=medium

  * New upstream beta.
  * Use https in watch file.
  * Refresh patches.
  * Migrate some more bits of packaging from 3.12 to 3.13.
  * Drop old breaks+replace.
  * Rename python3.12-updates.diff to compileall-minimal.diff.
  * Document that _typing is included in -minimal.
  * Update symbols file.
  * Install python3-wheel-whl in the testsuite autopkgtests. Not installed in
    venvs by default (so not a dependency of python3-venv) but required by
    tests.
  * Add a missing import to ntpath-import.diff.
  * Patch: Handle missing _pyrepl in the -minimal interpreter.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 03 Jul 2024 12:17:07 +0200

python3.13 (3.13.0~b2-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure without --with-dtrace on the Hurd.

  [ Stefano Rivera ]
  * Python 3.13.0 beta 2 snapshot.
  * Refresh patches.
  * Bump watch file to 3.13.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 11 Jun 2024 15:14:35 +0100

python3.13 (3.13.0~b1-2) unstable; urgency=medium

  * Configure --with-system-libmpdec=no.

 -- Matthias Klose <doko@debian.org>  Wed, 15 May 2024 12:13:44 +0200

python3.13 (3.13.0~b1-1) unstable; urgency=medium

  * Python 3.13.0 beta 1 snapshot.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 15 May 2024 08:57:29 +0200

python3.13 (3.13.0~a6-1) experimental; urgency=medium

  * Python 3.13.0 alpha 6 snapshot.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 01 May 2024 07:51:20 +0200

python3.12 (3.12.3-1) unstable; urgency=medium

  * Python 3.12.3 release.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Apr 2024 07:33:47 +0200

python3.12 (3.12.2-5) unstable; urgency=medium

  * Update to the 3.12 branch 2024-02-02.
    - Make C API compatible with ISO C90 (GH-116950). Closes: #1064028.
    - Upstream patch for GH-115874.
    - Still identify as "3.12.2", because "3.12.2+" is mis-treated by some
      third-party packages.
  * Use CFLAGS_NODIST, LDFLAGS_NODIST for passing build flags.
  * d/rules: Move configure/build targets for each build together.
  * Drop ffi configure options, obsolete.
  * Re-enable PGO/LTO builds.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 16:53:02 +0200

python3.12 (3.12.2-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Build-Depend on libnsl-dev for NIS support. Closes: #1065128.

  [ Matthias Klose ]
  * Fix override files for renamed t64 packages.
  * Fix package names in PVER-dbg maintainer scripts. Addresses: #1065164.
  * Really build without LTO when requested.
  * Disable LTO builds and testsuite for now (mesa t64 transition ...).

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 10:11:00 +0100

python3.12 (3.12.2-3) unstable; urgency=medium

  * Actually apply the teedataobject_clear patch. Closes: #1063345.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Feb 2024 11:43:19 -0400

python3.12 (3.12.2-2) unstable; urgency=medium

  [ Colin Watson ]
  * Don't rely on module state in teedataobject_clear (from Brandt Bucher in
    https://github.com/python/cpython/issues/115874). Closes: #1063345.

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition, declare X-Time64-Compat
    to get proper Provides (Steve Langasek). Closes: #1064336.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Feb 2024 02:56:09 +0100

python3.12 (3.12.2-1) unstable; urgency=medium

  * Python 3.12.2 release.
  * Don't build-depend on systemtap-sdt-dev on the Hurd.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 21:47:03 +0100

python3.12 (3.12.1-2) unstable; urgency=medium

  * Fix build with WITH_PYMALLOC_RADIX_TREE=0 (needed for ia64).

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 17:20:54 +0100

python3.12 (3.12.1-1) unstable; urgency=high

  * Python 3.12.1 release.
    - Fix gh-105716, breaking greenlet/eventlet.
  * Update symbols files.
  * Add platform triplets for x86_64 GNU/Hurd (Samuel Thibault). 
    Addresses: #1055960.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 10:36:47 +0100

python3.12 (3.12.0-7) unstable; urgency=medium

  * Update to the 3.12 branch 2023-12-02.
  * Identify as version "3.12.0" instead of "3.12.0+", confusing some
    third party packages.
  * Remove references to the avr architecture. Closes: #1056761.
  * Fix more shebangs. Closes: #1057192.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Dec 2023 13:35:02 +0100

python3.12 (3.12.0-6) unstable; urgency=medium

  * Fix syntax error in the python3.12-dbg-config script.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Nov 2023 12:32:56 +0100

python3.12 (3.12.0-5) unstable; urgency=medium

  * libpython3.12-testsuite: Don't attempt to byte-compile files name
    badsyntax_*. Update path for tokenizedata's bad_coding samples.
  * libpython3.12-testsuite: Ignore warnings during byte compilation.
    Closes: #1040279.
  * Replace (currently disabled) hurd_kfreebsd_thread_native_id.diff with
    simply ignoring the relevant symbol on non-Linux. Closes: #1055820.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 12 Nov 2023 15:37:07 +0200

python3.12 (3.12.0-4) unstable; urgency=medium

  * Add breaks/replaces for typinganndata move. Closes: #1055680.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Nov 2023 12:33:26 +0100

python3.12 (3.12.0-3) unstable; urgency=medium

  * Update to the 3.12 branch 2023-11-09.

  [ Stefano Rivera ]
  * Add myself as an uploader.
  * Depend on netbase in libpython3.12-stdlib. Closes: #1055172.

  [ Matthias Klose ]
  * Fix some lintian warnings.
  * Add loong64 to the multiarch header file. Closes: #1053835.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Nov 2023 11:45:17 +0100

python3.12 (3.12.0-1) unstable; urgency=medium

  * Python 3.12.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Oct 2023 08:27:34 +0200

python3.12 (3.12.0~rc2-1) unstable; urgency=medium

  * Python 3.12.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Sep 2023 06:33:29 +0200

python3.12 (3.12.0~rc1-2) unstable; urgency=medium

  * Update to the 3.12 branch 2023-08-29.
    - Add loongarch support. Addresses: #1049963.
    - Address CVE-2023-41105, CVE-2023-40217.
  * libpython3.12-stdlib: Depend on tzdata. Closes: #1050529.
  * Add proposed patch to avoid tzdata-legacy, and drop again the
    dependency on it. See  https://github.com/python/cpython/pull/108533.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Aug 2023 17:33:03 +0200

python3.12 (3.12.0~rc1-1) unstable; urgency=medium

  * Python 3.12.0 release candidate 1.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Aug 2023 06:02:50 +0200

python3.12 (3.12.0~b4-1) unstable; urgency=medium

  * Python 3.12.0 beta 3 snapshot.
  * libpython3.12-stdlib: Depend on tzdata. Addresses: #1037168.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2023 16:24:02 +0200

python3.12 (3.12.0~b3-1) unstable; urgency=medium

  * Python 3.12.0 beta 3 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Jun 2023 17:06:58 +0200

python3.12 (3.12.0~b2-3) unstable; urgency=medium

  [ Matthias Klose ]
  * libpython3.12-testsuite: Don't install ctypes/test_macholib.
  * Add test_cppext to the failing tests, requires pip.

  [ Stefano Rivera ]
  * Drop python3.12-venv's dependency on python3-setuptools-whl. venv doesn't
    include setuptools in venvs, any more in Python 3.12.
  * Remove autopkgtest coverage of SETUPTOOLS_USE_DISTUTILS=local, there is no
    stdlib distutils in Python 3.12.
  * Adapt the venv/virtualenv autopkgtests to not expect setuptools & wheel to
    be installed.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2023 10:44:07 +0200

python3.12 (3.12.0~b2-2) unstable; urgency=medium

  * Fix bytecode compilation for python3.12-testsuite. Closes: #1036789.
  * Tighten autopkg test dependencies on python3-tk and python3-gdbm.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2023 06:48:48 +0200

python3.12 (3.12.0~b2-1) unstable; urgency=medium

  * Python 3.12.0 beta 2 snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Jun 2023 12:16:56 +0200

python3.12 (3.12.0~b1-1) unstable; urgency=medium

  * Python 3.12.0 beta 1 snapshot.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Thu, 25 May 2023 06:54:11 +0200

python3.12 (3.12.0~a7-1) experimental; urgency=medium

  * Python 3.12.0 alpha 7 snapshot.

  [ Stefano Rivera ]
  * Explain more ways to pass --break-system-packages to pip.
  * In distutils-install-layout.diff:
    - Restore _distutils_system_mod, this is how we configure setuptools'
      internal distutils behaviour. Thanks Eli Schwartz for noticing it was
      missing.
    - Remove support for patching the stdlib distutils, no longer needed.

  [ Matthias Klose ]
  * Package _sha2 instead of _sha256 and _sha512.
  * Don't ship gdbinit anymore, removed upstream.
  * Update symbols files.
  * Update and refresh patches.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Apr 2023 10:54:41 +0200

python3.12 (3.12.0~a5-1) experimental; urgency=medium

  * Python 3.12.0 alpha 5 snapshot.

  [ Matthias Klose ]
  * Fix error message for 'python3 -m venv dir`, when python3-venv
    is not installed. Closes: #1026268.

  [ Stefano Rivera ]
  * Mention that deleting EXTERNALLY-MANAGED is an option, in README.venv.
  * Update watch file for Python 3.12.
  * Override expat embedded-library lintian false-positives. (See: #1031859)
  * Update lintian overrides for reorganization in lintian 2.100.0.
  * Override depends-on-python-minimal in python3.12-nopie.
  * Override python3-script-but-no-python3-dep in python3.12.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Mar 2023 19:00:33 +0100

python3.11 (3.11.2-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Revert the CCSHARED patch to test_customize_compiler, this was WIP and
    didn't work.

  [Matthias Klose]
  * Remove build dependency on libb2-dev, oldish library.
  * Build with internal mpdecimal library, so that mpdecimal can be removed
    for bookworm.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Feb 2023 01:48:52 +0100

python3.11 (3.11.2-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Refresh patches.
  * Revert pip importlib.metadata workaround, fixed in pip 22.2.
  * Declare python3.11 to be PEP 668 EXTERNALLY-MANAGED.
  * Update and install README.venv, explaining this.
  * Recommend ca-certificates from python3.11. Closes: #960869.
  * Configure --with-ssl-default-suites=openssl. Closes: #1026802.
  * Update watch file.
  * Include CCSHARED override in distutils test_customize_compiler.

  [Matthias Klose]
  * Really new upstream version.
  * Configure --with-ssl-default-suites=openssl. Closes: #1009189.
  * Build-depend on libb2-dev.
  * Fix removing Debian build flags from _sysconfigdata. LP: #2006738.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 05:59:34 +0100

python3.11 (3.11.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Feb 2023 21:27:04 +0100

python3.11 (3.11.1-2) unstable; urgency=medium

  * Fix NameError exception in venv init (Daniel Andersson). Closes: #1026448.
  * Fix FTCBFS: Pass --with-build-python (Helmut Grohne). Closes: #1024297.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:23:59 +0100

python3.11 (3.11.1-1) unstable; urgency=medium

  * Python 3.11.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2022 09:49:13 +0100

python3.11 (3.11.0-3) unstable; urgency=medium

  * Fix valgrind detection.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Nov 2022 10:23:33 +0100

python3.11 (3.11.0-2) unstable; urgency=medium

  * Update to the 3.11 branch 2022-11-03.
    - debian/patches/CVE-2022-42919.patch: don't use Linux abstract sockets
      in Lib/multiprocessing/connection.py.
    - CVE-2022-42919
  * Fix GDB auto-load files. Closes: #1017913.
  * Add support for systemd-binfmt. Closes: #1013973.
  * libpython3.11-dev: Install Python.asdl and python.gram. Closes: #1022951.
  * Configure the python3-dbg interpreter --with-valgrind. Closes: #1006315.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Nov 2022 16:41:50 +0100

python3.11 (3.11.0-1) unstable; urgency=medium

  * Python 3.11.0 release.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Oct 2022 23:26:25 +0200

python3.11 (3.11.0~rc2-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * autopkgtests: Support python3-setuptools >= 64, which does PEP-660
    editable installs.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Oct 2022 06:34:05 +0200

python3.11 (3.11.0~rc2-1) unstable; urgency=medium

  * Python 3.11.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Sep 2022 18:20:24 +0200

python3.11 (3.11.0~rc1-1) unstable; urgency=medium

  * Python 3.11.0 release candidate 1.
  * Add python3.11-venv as a dependency for the testsuite* autopkg tests.
  * Don't run the cppext test during the build.
  * Fix two site and sysconfig tests.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Aug 2022 13:16:05 +0200

python3.11 (3.11.0~b4-2) unstable; urgency=medium

  * Work around https://github.com/pypa/pip/issues/11183.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Jul 2022 12:00:00 +0200

python3.11 (3.11.0~b4-1) unstable; urgency=medium

  * Python 3.11.0 beta 4 snapshot.
  * Fix more references to 3.11 in the autopkg tests.
  * Update local-doc-references patch for 3.11.
  * Remove i386 specific symbols files.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jul 2022 11:00:16 +0200

python3.11 (3.11.0~b3-2) unstable; urgency=medium

  * Update symbols files for i386.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2022 16:59:45 +0200

python3.11 (3.11.0~b3-1) unstable; urgency=medium

  * Python 3.11.0 beta 3 snapshot.
  * Refresh patches.
  * Update symbols files.
  * Adjust the minimal set (re now a package), make the ntpath import
    conditional.
  * Update autopkg tests for 3.11.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Jun 2022 12:09:22 +0200

python3.10 (3.10.4-4) unstable; urgency=medium

  * Source-only upload.
  * Backport gh-78214: marshal: Stabilize FLAG_REF usage. Closes: #1010368.

 -- Matthias Klose <doko@debian.org>  Fri, 13 May 2022 14:08:11 +0200

python3.10 (3.10.4-3) unstable; urgency=medium

  * Build a python3.10-nopie package, diverting the python3.10
    executable.
  * Build the python3.10 interpreter with PIE enabled. Closes: ##919134.
    LP: #1452115.
  * Fix build on ia64 (Adrian Glaubitz). Closes: #1008576.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Apr 2022 11:04:19 +0200

python3.10 (3.10.4-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Avoid infinite recursion in _distutils_system_mod when
    SETUPTOOLS_USE_DISTUTILS=local.
  * Avoid crashing in `_distutils_system_mod` if we find an older version of
    distutils (from before `_distutils_system_mod` was implemented).

 -- Matthias Klose <doko@debian.org>  Fri, 01 Apr 2022 17:03:31 +0200

python3.10 (3.10.4-1) unstable; urgency=medium

  * Python 3.10.4 release.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 14:07:27 +0100

python3.10 (3.10.3-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Change the "include" and "platinclude" paths in the "posix_local"
    scheme to refer to the location of Python's headers, not the install
    location for modules' C headers. Closes: #1007966

  [ Matthias Klose ]
  * Allow to build with PIE enabled by default, and build a separate
    python3.10-nopie package. Not yet enabled for Debian.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Mar 2022 12:42:32 +0100

python3.10 (3.10.3-1) unstable; urgency=medium

  * Python 3.10.3 release.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Mar 2022 18:19:40 +0100

python3.10 (3.10.2-7) unstable; urgency=medium

  [ Stefano Rivera ]
  * Use the same is_virtual_environment() proposed in PEP 668 across the site,
    sysconfig, and distutils modules. Stop checking for PYTHONUSERBASE or
    VIRTUAL_ENV environment variables.
  * Correct assertion descriptions in module-install-* autopkgtests.
  * Extend module-install-* autopkgtests to catch the issues fixed in -6:
    - Check the directory that the modules are installed to.
    - Check editable installs.
    - Check pip-driven PEP-517 installs.
    - Check that virtualenvs are seeded with the correct layout.
  * Re-enable module-install-virtualenv.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Mar 2022 06:18:40 +0100

python3.10 (3.10.2-6) unstable; urgency=medium

  [ Matthias Klose ]
  * Update to the 3.10 branch 2022-03-13.
  * Add the test_multiprocessing_fork test to the failing autopkg tests,
    and run them with a 2h timeout.
  * Don't run the test_multiprocessing tests in the profile run.

  [ Stefano Rivera ]
  * Re-add accidentally dropped /local/ to paths in distutils unix_local
    scheme.
  * Add missing /local/ to data path in sysconfig posix_local scheme.
    LP: #1964588.
  * Improve support for setuptools > 60's bundled distutils in
    _distutils_system_mod, supporting a wider range of versions and more
    reliably selecting the posix_local scheme. Closes: #1004149.
  * Use the same heuristics for scheme selection in sysconfig, as we use in
    distutils.command.install. Closes: #1006707, LP: #1962791.
  * Run the test suite with a 1hr timeout per module. Closes: #1000188.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Mar 2022 07:20:35 +0100

python3.10 (3.10.2-5) unstable; urgency=medium

  * Fix the marshal test after applying the fix for #1004558.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Feb 2022 09:21:15 +0100

python3.10 (3.10.2-4) unstable; urgency=medium

  * Provide a _distutils_system_mod module to customize distutils behaviour
    for Debian's install layout (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 25 Feb 2022 22:04:33 +0100

python3.10 (3.10.2-3) unstable; urgency=medium

  * Apply again the updated sysconfig-debian-schemes patch (Alexandre Ghiti).

 -- Matthias Klose <doko@debian.org>  Fri, 25 Feb 2022 21:13:53 +0100

python3.10 (3.10.2-2) unstable; urgency=medium

  * Make test suite support Expat >=2.4.5. Closes: #1006219.
  * Build again using readline instead of libedit. Closes: #1005761.
  * Serialize frozenset elements deterministically, taken from the trunk.
    Closes: #1004558.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 14:57:42 +0100

python3.10 (3.10.2-1) unstable; urgency=medium

  * Python 3.10.2 release.

  [ Stefano Rivera ]
  * Migrate to individual wheel packages. Drop ensurepip-pkg-resources.diff,
    pkg_resources is now shipped in the setuptools wheel. (Closes: #1003573)
  * Mark module-install-user autopkgtest allow-stderr. (Closes: #1001722)

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2022 18:11:27 +0100

python3.10 (3.10.1-5) unstable; urgency=medium

  * Allow stderr in the module-install-venv autopkg test.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2022 16:42:55 +0100

python3.10 (3.10.1-4) unstable; urgency=medium

  * Also apply the openssl-3 patch.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Jan 2022 15:08:13 +0100

python3.10 (3.10.1-3) unstable; urgency=medium

  * d/p/openssl-3.0.1-version-check.diff: cherry-picked from upstream
    to fix the test suite against OpenSSL 3.0.1 (Simon Chopin).
    LP: #1956765.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jan 2022 12:07:18 +0100

python3.10 (3.10.1-2) unstable; urgency=medium

  * Run the module-install-local test with allow-stderr. Closes: #1001722.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Dec 2021 00:04:04 +0100

python3.10 (3.10.1-1) unstable; urgency=medium

  * Python 3.10.1 release.
  * Depend on media-types instead of mime-support. Closes: #1000366.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Dec 2021 14:27:28 +0100

python3.10 (3.10.0-5) unstable; urgency=medium

  * Build again the _dbm extension using libdb-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 07:49:13 +0100

python3.10 (3.10.0-4) unstable; urgency=medium

  * Revert the backport for issue #45235 (argparse does not preserve
    namespace with subparser defaults).

 -- Matthias Klose <doko@debian.org>  Thu, 11 Nov 2021 16:08:14 +0100

python3.10 (3.10.0-3) unstable; urgency=medium

  * Update to the 3.10 branch 2021-10-17.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Oct 2021 11:10:32 +0200

python3.10 (3.10.0-2) unstable; urgency=medium

  * ensurepip: Install pkg_resources as well as setuptools (Stefano Rivera).
  * Strip trailing '\n' from file names in py_compile (Graham Inggs).
  * Update ia64 build flags (Adrian Glaubitz). Closes: #995987, #996002.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 07:33:59 +0200

python3.10 (3.10.0-1) unstable; urgency=medium

  * Python 3.10.0 release.
  * Update symbols files.
  * Annotate patches (Stefano Rivera).
  * Use Python 3.10's native --with-wheel-pkg-dir= mechanism (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 08 Oct 2021 14:10:19 +0200

python3.10 (3.10.0~rc2-2) unstable; urgency=medium

  * More flags substitutions for LDFLAGS in _sysconfigdata.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Sep 2021 11:47:58 +0200

python3.10 (3.10.0~rc2-1) unstable; urgency=medium

  * Python 3.10.0 release candidate 2.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2021 11:19:38 +0200

python3.10 (3.10.0~rc1-4) unstable; urgency=medium

  * Fix the test_site test.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Sep 2021 10:17:55 +0200

python3.10 (3.10.0~rc1-3) unstable; urgency=medium

  * Tighten autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Sep 2021 11:32:32 +0200

python3.10 (3.10.0~rc1-2) unstable; urgency=medium

  * Fix path to mkdir on a unified-/usr system. Addresses: #992775.
  * Use command -v instead of which in shell scripts.
  * Also don't run the test_concurrent_futures test on armhf and sparc64.
    Closes: #991111.

 -- Matthias Klose <doko@debian.org>  Fri, 03 Sep 2021 09:33:09 +0200

python3.10 (3.10.0~rc1-1) unstable; urgency=medium

  * Python 3.10.0 release candidate 1.
  * Update symbols files.
  * Fix CFLAGS in the python3.x-config scripts. Addresses: #992669.
  * Support arc-linux-gnu in the multiarch header. Addresses: #992091.
  * Don't run the test_concurrent_futures test on alpha. Addresses: #991110.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Sep 2021 13:49:53 +0200

python3.10 (3.10.0~b4-1) experimental; urgency=medium

  * Python 3.10.0 beta 4 snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jul 2021 22:28:24 +0200

python3.10 (3.10.0~b3-1) experimental; urgency=medium

  * Python 3.10.0 beta 3 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jun 2021 08:25:12 +0200

python3.10 (3.10.0~b2-1) experimental; urgency=medium

  * Python 3.10.0 beta 2 snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Jun 2021 10:45:30 +0200

python3.10 (3.10.0~b1-3) experimental; urgency=medium

  * Try to detect whether python3-venv is missing (Stefano Rivera).
    Closes: #977887.

 -- Matthias Klose <doko@debian.org>  Tue, 11 May 2021 08:19:33 +0200

python3.10 (3.10.0~b1-2) experimental; urgency=medium

  * Add the headers key to the added Debian INSTALL_SCHEMES.
  * Use libeditreadline-dev instead of libedit-dev as a build dependency.
  * Refresh patches.
  * When building 3.10 for releases newer than Debian 11 (bullseye) or
    Ubuntu 21.04 (hirsute), build the _dbm extension using gdbm, and
    include it in the python3-gdbm package.
    Raise an ImportError when trying to import the _dbm module, if the
    python3-gdbm package is not installed.
  * Call python with -S when checking the minimal set of modules.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 11:07:08 +0200

python3.10 (3.10.0~b1-1) experimental; urgency=medium

  * Python 3.10.0 beta 1 snapshot.
  * Drop the unused build dependency on libdb-dev.
  * Prefer to build with libedit-dev instead of libreadline-dev. See #977732.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 04 May 2021 06:21:11 +0200

python3.10 (3.10.0~a7-3) experimental; urgency=medium

  * Build a python3.10-full package.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 17:05:58 +0200

python3.10 (3.10.0~a7-1) experimental; urgency=medium

  * Python 3.10.0 alpha 7 snapshot.
  * Depend on media-types instead of mime-support. Addresses: #981016.
  * Fix permissions and group for local directories. Addresses: #962422.
  * Revert the fix for issue 42856 for now, need to update patches, to
    not require particular wheel versions.
  * Update symbols files.
  * Move zlib1g-dev dependency to libpython3.9-dev. Addresses: #984580.
  * Configure with --libdir=/usr/lib/$(DEB_HOST_MULTIARCH), recording the
    correct LIBDIR in _sysconfigdata.  Also adjust DESTSHARED to install
    lib-dynload into the same location as before the configure change.
    See issue #43229.
  * Fix flags substitutions for _sysconfigdata.
  * Autopkg tests:
    - Run testsuite{,-dbg} autopkg tests with allow-stderr. Closes: #983305.
    - Run again in testsuite instead of failing-tests: test_ftplib,
      test_httplib test_imaplib test_nntplib test_poplib test_ssl.
    - Run test_distutils and test_site tests again.
  * Build idlelib/help.html from source, don't ship the pre-generated file.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 14:56:07 +0200

python3.10 (3.10.0~a4-2) experimental; urgency=medium

  * Configure again --with-system-libmpdec.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 11:15:34 +0100

python3.10 (3.10.0~a4-1) experimental; urgency=medium

  * Python 3.10.0 alpha 4 snapshot.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jan 2021 14:40:53 +0100

python3.10 (3.10.0~a3-1) experimental; urgency=medium

  * Python 3.10.0 alpha 3 snapshot.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 14:18:31 +0100

python3.10 (3.10.0~a2-1) experimental; urgency=medium

  * Python 3.10.0 alpha 2 snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 09:09:33 +0100

python3.9 (3.9.0-5~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1899954. Backport Python 3.9.0 to 20.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Oct 2020 10:43:38 +0200

python3.9 (3.9.0-5) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-19.
  * python3.9-venv: Depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Oct 2020 11:51:18 +0200

python3.9 (3.9.0-4) unstable; urgency=medium

  * Fix module-install-venv autopkg test dependency.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Oct 2020 11:42:38 +0200

python3.9 (3.9.0-3) unstable; urgency=high

  * Update to the 3.9 branch 2020-10-16.
  * ensurepip: Don't try to import the _bundled module.
  * Refresh patches.
  * Add some autopkg tests for venv (Stefano Rivera).

 -- Matthias Klose <doko@debian.org>  Fri, 16 Oct 2020 19:57:59 +0200

python3.9 (3.9.0-2) unstable; urgency=medium

  * Update to the 3.9 branch 2020-10-15.
  * Build with -O1 on sh4 (Adrian Glaubitz). Closes: #972202.
  * Don't run test_ttk_guionly test, timing on many buildds.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 13:54:52 +0200

python3.9 (3.9.0-1) unstable; urgency=medium

  * Python 3.9.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Oct 2020 22:56:51 +0200

python3.9 (3.9.0~rc2-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 12:40:00 +0200

python3.9 (3.9.0~rc1-1) unstable; urgency=medium

  * Python 3.9.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2020 12:42:16 +0200

python3.9 (3.9.0~b5-2) unstable; urgency=medium

  * Move typing.py into libpython3.9-minimal.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jul 2020 11:11:14 +0200

python3.9 (3.9.0~b5-1) unstable; urgency=medium

  * Python 3.9.0 beta 5.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 11:03:53 +0200

python3.9 (3.9.0~b4-2) unstable; urgency=medium

  * Fix symbols file on i386.
  * Don't run test_concurrent_futures on riscv64, takes ages.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jul 2020 13:24:24 +0200

python3.9 (3.9.0~b4-1) unstable; urgency=medium

  * Python 3.9.0 beta 4.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2020 15:22:12 +0200

python3.8 (3.8.4~rc1-1) unstable; urgency=medium

  * Python 3.8.4 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jul 2020 17:31:45 +0200

python3.8 (3.8.3-1) unstable; urgency=medium

  * Python 3.8.3 release.
  * Add XB-Cnf-Visible-Pkgname header on the python*-minimal package to
    point command-not-found at the full one. LP: #1867157

 -- Matthias Klose <doko@debian.org>  Thu, 14 May 2020 13:03:12 +0200

python3.8 (3.8.3~rc1-1) unstable; urgency=medium

  * Python 3.8.3 release candidate 1.
    - Issue #38576, CVE-2019-18348: Disallow control characters in hostnames
      in http.client.
    - Issue #39503, CVE-2020-8492: Denial of service in
      urllib.request.AbstractBasicAuthHandler.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Apr 2020 09:33:30 +0200

python3.8 (3.8.2-1) unstable; urgency=medium

  * Python 3.8.2 release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 14:04:52 +0100

python3.8 (3.8.2~rc2-2) unstable; urgency=medium

  * Ignore some autopkg test failures:
    - test_ssl: Fails with OPENSSL_TLS_SECURITY_LEVEL=2.
    - test_io: Fails on Ubuntu's autopkg test infrastructure.
    - Lower OpenSSL security level from 2 to 1 during testing as test_ssl
      assumes that (Dimitri John Ledkov).

 -- Matthias Klose <doko@debian.org>  Fri, 21 Feb 2020 12:37:41 +0100

python3.8 (3.8.2~rc2-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 2.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2020 11:16:50 +0100

python3.8 (3.8.2~rc1-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 1.
  * Make autopkgtests cross-test-friendly (Steve Langasek).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Feb 2020 16:26:48 +0100

python3.8 (3.8.1-2) unstable; urgency=medium

  * Fix KFreeBSD builds (James Cowgill).

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 09:48:53 +0100

python3.8 (3.8.1-1) unstable; urgency=medium

  * Python 3.8.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Dec 2019 10:21:09 +0100

python3.8 (3.8.1~rc1-1) unstable; urgency=medium

  * Python 3.8.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 10:38:12 +0100

python3.8 (3.8.0-5) unstable; urgency=medium

  * Update to 20191123 from the 3.8 branch.
  * libpython3.8-dbg: Provide a python-$(VER)-dbg-embed.pc pkg-config file.
    Closes: #944852.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Nov 2019 05:55:55 +0100

python3.8 (3.8.0-4) unstable; urgency=medium

  * Move the test/ann_module{,2,3} modules into libpython-stdlib.
    Closes: #944303.
  * Annote python-examples dependency on python.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Nov 2019 16:14:28 +0100

python3.8 (3.8.0-3) unstable; urgency=medium

  * python3.8-dev: Depend on zlib1g-dev, needed to link as an
    embedded interpreter.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 17:36:55 +0200

python3.8 (3.8.0-2) unstable; urgency=medium

  * Fix a symlink to the shared debug library.
  * Install the python3.8d-embed pkg-config file.
  * Don't ship the python3-embed pkg-config file.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 18:00:25 +0200

python3.8 (3.8.0-1) unstable; urgency=medium

  * Python 3.8.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 11:10:20 +0200

python3.8 (3.8.0~rc1-3) unstable; urgency=medium

  * Apply proposed patch for issue 38368. LP: #1847036. Addresses: #941650.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2019 11:06:01 +0200

python3.8 (3.8.0~rc1-2) unstable; urgency=medium

  * Python 3.8.0 release candidate 1.
  * Refresh patches.
  * Update symbols files.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2019 05:45:03 +0200

python3.8 (3.8.0~b4-1) unstable; urgency=medium

  * Python 3.8.0 beta 4 release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Aug 2019 16:07:24 +0200

python3.8 (3.8.0~b3-1) unstable; urgency=medium

  * Python 3.8.0 beta 3 release.
  * Fix FTCBFS: (Helmut Grohne). Closes: #932077.
    + Build-Depends, when cross compiling we need python3.8.
    + Export CC, because dtrace needs it.
    + Honour DEB_BUILD_OPTIONS=nocheck more thoroughly.
    + Fix up sysconfigdata-name.diff.
  * Implement the native thread ids for the Hurd and KFreeBSD (Samuel
    Thibault). Closes: #931624.
  * Enable pgo/lto builds on arm64. Addresses: #934812.
  * Update symbols files.
  * Don't propagate lto flags to the _sysconfigdata module. Addresses: #934771.
  * d/patches/issue35998.diff: Disable TLS1.3 in the client on all platforms
    rather than just reducing the payload size (Michael Hudson-Doyle).

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 17:32:52 +0200

python3.8 (3.8.0~b2-5) unstable; urgency=high

  * Bump standards version.
  * Revert the KFreeBSD and Hurd fix for PyThread_get_thread_native_id,
    and use the implementation from Python3.7.  Mark the symbol as linux only.
  * Don't encode the MACHDEP into the _sysconfigdata file name.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jul 2019 11:55:03 +0200

python3.8 (3.8.0~b2-4) unstable; urgency=medium

  * Fix the LTO build.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 14:23:41 +0200

python3.8 (3.8.0~b2-3) unstable; urgency=medium

  * Define PY_HAVE_THREAD_NATIVE_ID for KFreeBSD and Hurd builds.
  * Fix issue #37504, building the texinfo docs (Dmitry Shachnev).
  * Enable LTO/PGO builds on some architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jul 2019 12:00:08 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpython3.14-minimal`.
